PureBasic Forum
https://www.purebasic.fr/english/

Help installing Purebasic 5.70 on LInux Ubuntu 18.04
https://www.purebasic.fr/english/viewtopic.php?f=15&t=72216
Page 1 of 1

Author:  loulou2522 [ Mon Feb 04, 2019 1:27 pm ]
Post subject:  Help installing Purebasic 5.70 on LInux Ubuntu 18.04

Can someone help me to install purebasic 5.70 LTS on linux Ubuntu 17.04 ?
Thanks in advance.

Author:  mk-soft [ Mon Feb 04, 2019 6:42 pm ]
Post subject:  Re: Help installing Purebasic 5.70 on LInux Ubuntu 18.04

I always create a folder with apps under the personal folder. Then I extract Purebasic into this folder and rename the folder Purebasic to Purebasic-v5.70, so that you can have several versions.

Then some developer packages have to be installed.
Quote:
Purebasic
---------
sudo apt-get install build-essential gcc g++

sudo apt-get install libxxf86vm-dev libxine2-dev unixodbc-dev libsdl1.2-dev libsdl2-dev

sudo apt-get install libgtk2.0-dev libgtk-3-dev libwebkitgtk-dev libwebkitgtk-3.0-dev libwebkit2gtk-4.0-dev


Subsystem qt
------------
sudo apt-get install qtbase5-dev qttools5-dev qtmultimedia5-dev qtdeclarative5-dev libqt5svg5-dev libqt5webkit5-dev libqt5multimedia5-plugins


Ubuntu Gnome 18.xx (For PB-IDE)
-------------------------------
sudo apt install libcanberra-gtk-module

Obsoleted
---------
;sudo apt-get install libgnome2-dev
;sudo apt-get install libgnomeprintui2.2-dev libxine-dev


Ubuntu missing default libs (Without developer packets)
-------------------------------------------------------
gtk2
- sudo apt-get install libgtk2.0
gtk3
- sudo apt-get install libwebkitgtk-3.0
qt
- sudo apt install qt5-default



Now create a shortcut to Purebasic and place it on your desktop.

That's the easiest way to go :wink:

Author:  loulou2522 [ Mon Feb 04, 2019 7:30 pm ]
Post subject:  Re: Help installing Purebasic 5.70 on LInux Ubuntu 18.04

I make all yoy do and when i launch purebasic i have an error message [COMPILER] ASSEMBLER ERROR and after nothing

Author:  mk-soft [ Mon Feb 04, 2019 7:48 pm ]
Post subject:  Re: Help installing Purebasic 5.70 on LInux Ubuntu 18.04

If starting IDE or code?

Linux x86 or x64. You must install the right version of Purebasic...

Author:  loulou2522 [ Mon Feb 04, 2019 7:51 pm ]
Post subject:  Re: Help installing Purebasic 5.70 on LInux Ubuntu 18.04

Purebasic 5.70 LTS X64 Version
The error come when i launch 'Compiler and executing" from the ide menu
When launching IDE no problem

Author:  mk-soft [ Mon Feb 04, 2019 7:59 pm ]
Post subject:  Re: Help installing Purebasic 5.70 on LInux Ubuntu 18.04

Ok,
Is perhaps not right assembler code inside the sources.

You can put the code in there.

Author:  loulou2522 [ Mon Feb 04, 2019 8:08 pm ]
Post subject:  Re: Help installing Purebasic 5.70 on LInux Ubuntu 18.04

I don't think because when i make a little programm with only one line
Code:
debug #PB_Compiler_Home
i have the same error

Author:  mk-soft [ Mon Feb 04, 2019 8:21 pm ]
Post subject:  Re: Help installing Purebasic 5.70 on LInux Ubuntu 18.04

I running with Ubuntu (Gnome) 18.04 without problem...

Install Purebasic v5.62 for testing... and redownload pb v5.70

Page 1 of 1 All times are UTC + 1 hour
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/